org.apache.lucene.benchmark.quality.trec

## Class QueryDriver

- java.lang.Object
- - org.apache.lucene.benchmark.quality.trec.QueryDriver

-     public class QueryDriver
      extends Object

  Command-line tool for doing a TREC evaluation run.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDriver()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDriver

          public QueryDriver()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.